Bug 73110 - ntpq -p does not return the time infomation
ntpq -p does not return the time infomation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 17:05 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-30 17:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-30 17:05:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
ntp4.1.1.1-1
when I use the ntpq -p to query the ntp server, it returns data of zeros.
root@opsbox ~$ ntpq -p
remote        refid      st t when poll reach   delay   offset  jitter
=====================================================================
ntpsrv.        0.0.0.0    16 u    -  512   0    0.000   0.000 4000.00

When I shut down the daemon, and do an ntpdate ipaddress, I pull back the data.
We did a tcpdump on the IP and port 123 of the ntp server, and there is a 
client request (with a stratus of 0) (a working ntp client running 4.1.0.1 
pulls back a stratus of 2) There is a server call as well with all the data.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install ntp-4.1.1-1.i386.rpm (needed libcap-1.10-8.i386.rpm) 
2.rem out fudge in the ntp.conf file
3.run ntpdate -d ipaddress, run ntpq -p see data
	

Additional info:
Comment 1 Harald Hoyer 2002-09-25 07:51:14 EDT
if this is immediatly after the start it has no valid data yet..
you have not to remove fudge...
you have to set the correct server AND restrict line in ntp.conf...

Note You need to log in before you can comment on or make changes to this bug.